> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Card Product



## OpenAPI

````yaml api-reference/openapi-cards.json GET /cardproduct/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /cardproduct/{id}:
    get:
      tags:
        - Card Product
      summary: Fetch a Card Product
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    card_auth_loop_endpoint_id: null
                    card_back_image_file_id: null
                    card_controls: null
                    card_front_image_file_id: null
                    created_at: '2021-02-09T18:58:31Z'
                    id: cdpt_zuhqnmz7e085
                    status: active
                    three_domain_secure_config: null
                    type: virtual
                    updated_at: '2021-02-09T18:58:31Z'
                    userdata: null
              schema:
                properties:
                  card_auth_loop_endpoint_id:
                    description: >-
                      The ID of the Card Auth Loop Endpoint object to be used to
                      approve or reject a card transaction
                    type: string
                  card_back_image_file_id:
                    description: >-
                      The ID of a File object containing the image defining the
                      design for the back of the card, if applicable
                    type: string
                  card_controls:
                    description: An object that defines rules for how this card can be used
                    properties:
                      controls:
                        items:
                          properties:
                            amount:
                              format: float
                              type: number
                            interval:
                              type: string
                            mccs:
                              items:
                                type: string
                              type: array
                            mids:
                              items:
                                type: string
                              type: array
                            restriction:
                              type: string
                            rollover_time:
                              type: string
                            timezone:
                              type: string
                            type:
                              type: string
                            version:
                              type: integer
                            window:
                              type: integer
                          type: object
                        type: array
                      name:
                        type: string
                    type: object
                  card_front_image_file_id:
                    description: >-
                      The ID of a File object containing the image defining the
                      design for the front of the card, if applicable
                    type: string
                  configuration:
                    description: An object defining additional card configuration
                    type: object
                  id:
                    description: Unique identifier for object
                    type: string
                  name:
                    description: Optional name used to identify the object
                    type: string
                  status:
                    description: 'One of: `active`, `inactive`. Filterable.'
                    type: string
                  three_domain_secure_config:
                    description: An object defining 3DS configuration
                    properties:
                      policy:
                        description: '3DS Policy. One of: `none`, `challenge_all`'
                        type: string
                    type: object
                  type:
                    description: 'One of: `physical`, `virtual`. Filterable.'
                    type: string
                  userdata:
                    description: Optional arbitrary user data
                    type: object
          description: The cardproduct
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````